#include <stdio.h>

/*
 *  Copyright (C) 2002-2005 Novell/SUSE
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation, version 2 of the
 *  License.
 */
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>

static char * const ping[] = {"/bin/ping", "-c", "1", "localhost", NULL};

int main(int argc, char *argv[])
{
pid_t pid;

extern char **environ;

  if (argc > 1){
    fprintf(stderr, "usage: %s\n", argv[0]);
    return 1;
  }

  pid=fork();

  if (pid){  /* parent */
    int status;

    while (wait(&status) != pid);

    if (WIFEXITED(status)) {
        if (WEXITSTATUS(status) != 0)
            printf("FAIL, child exited with status %d\n", WEXITSTATUS(status));
        else
            puts("PASS");
    }else{
      fprintf(stderr, "FAILED, child did not exit normally\n");
    }
  }else{
    /* child */

    (void) execve(ping[0], (char *const *)&ping, environ);

    /* exec failed, kill outselves to flag parent */
    (void) kill(getpid(), SIGKILL);
  }

  return 0;
}
